org.jfree.report.modules.data.beans

## Class StaticReportDataFactory

- java.lang.Object
- - org.jfree.report.modules.data.beans.StaticReportDataFactory

- All Implemented Interfaces:
    ReportDataFactory
  Direct Known Subclasses:
    NamedStaticReportDataFactory

      public class StaticReportDataFactory
      extends java.lang.Object
      implements ReportDataFactory

  This report data factory uses introspection to search for a report data source. The query has the following format: <full-qualified-classname&gr;#methodName(Parameters) <full-qualified-classname&gr;(constructorparams)#methodName(Parameters) <full-qualified-classname&gr;(constructorparams)
  Author:
    Thomas Morgner

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `StaticReportDataFactory()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `close()` Closes the report data factory and all report data instances that have been returned by this instance.
    `ReportDataFactory` | `derive()` Derives a freshly initialized report data factory, which is independend of the original data factory.
    `protected java.lang.ClassLoader` | `getClassLoader()`
    `void` | `open()`
    `ReportData` | `queryData(java.lang.String query, DataSet parameters)` Queries a datasource.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### StaticReportDataFactory

          public StaticReportDataFactory()

  - ### Method Detail

    - #### queryData

          public ReportData queryData(java.lang.String query,
                                      DataSet parameters)
                               throws ReportDataFactoryException

      Queries a datasource. The string 'query' defines the name of the query. The Parameterset given here may contain more data than actually needed.

      The dataset may change between two calls, do not assume anything!
      Specified by:
        `queryData` in interface `ReportDataFactory`
      Parameters:
        `query` -
        `parameters` -
      Returns:
      Throws:
        `ReportDataFactoryException`

    - #### getClassLoader

          protected java.lang.ClassLoader getClassLoader()

    - #### open

          public void open()

      Specified by:
        `open` in interface `ReportDataFactory`

    - #### close

          public void close()

      Description copied from interface: `ReportDataFactory`
      Closes the report data factory and all report data instances that have been returned by this instance.
      Specified by:
        `close` in interface `ReportDataFactory`

    - #### derive

          public ReportDataFactory derive()

      Derives a freshly initialized report data factory, which is independend of the original data factory. Opening or Closing one data factory must not affect the other factories.
      Specified by:
        `derive` in interface `ReportDataFactory`
      Returns: